using JiShe.CollectBus.FreeRedis.Options;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using Volo.Abp.Modularity;

namespace JiShe.CollectBus.FreeRedis
{
    public class CollectBusFreeRedisModule : AbpModule
    {
        public override void ConfigureServices(ServiceConfigurationContext context)
        {
            var configuration = context.Services.GetConfiguration();

            Configure<FreeRedisOptions>(options =>
            {
                configuration.GetSection("Redis").Bind(options);
            });


        }
    }
}



